Bug 1840801 - OCPRHV-122: RFE: set username/password as helper function
Summary: OCPRHV-122: RFE: set username/password as helper function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Douglas Schilling Landgraf
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On: OCPRHV-176 1850723
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 16:07 UTC by Douglas Schilling Landgraf
Modified: 2020-10-27 16:01 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3692 0 None closed BUG 1839896: ovirt: General Improvements 2020-10-31 19:12:28 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:01:21 UTC

Description Douglas Schilling Landgraf 2020-05-27 16:07:35 UTC
Description of problem:

Today we have a very long function called askCredentials() (81 lines) which hold several questions to users. We must split this code for readability and easy maintenance.

Reference:
https://github.com/openshift/installer/blob/690817bea24bc9d30f7068b855944c4977a8fdec/pkg/asset/installconfig/ovirt/credentials.go#L11-L92

Comment 4 Scott Dodson 2020-06-09 14:39:28 UTC
One bug per PR, this seems like it should be split form the CA related bugs and PR.

Comment 7 Guilherme Santos 2020-07-23 13:26:13 UTC
Verified on:
4.6.0-0.nightly-2020-07-22-074636

Steps:
1. guarantee no ovirt-config.yaml file beforehand
# rm ~/.ovirt/ovirt-config.yaml
2. # openshift-install create cluster --log-level=debug --dir=resources

Results:
after providing the RHV credentials, the connection has been established as expected (cluster infos gathered and showed to the user)

Comment 9 errata-xmlrpc 2020-10-27 16:01:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.